com.pixelmed.display

## Class MammoImageViewer

- java.lang.Object
- - com.pixelmed.display.MammoImageViewer

    public class MammoImageViewer
    extends java.lang.Object

This class is an entire application for displaying and viewing mammography images and CAD objects.

It detects the screen size and scales the images to fit the available screen real estate, using up to four columns of images and multiple rows as necessary.

Images are scaled to the same physical size based on the detected breast area.

Images are flipped into the correct orientation for the view.

It is invoked using a main method with a list of DICOM image and CAD file names.

### Field Summary

Fields
`protected boolean` `doNotFlipOrRotate`
`protected boolean` `doNotJustify`
`protected boolean` `forceFitEntireMatrixToWindow`
`protected javax.swing.JFrame` `frame`
`protected int` `frameHeight`
`protected int` `frameWidth`
`protected javax.swing.JPanel` `multiPanel`

### Constructor Summary

Constructors
Constructor and Description
`MammoImageViewer(javax.swing.JFrame frame)`
`MammoImageViewer(javax.swing.JFrame frame, java.lang.String[] filenames)`
`MammoImageViewer(java.lang.String[] filenames)`

### Method Summary

Methods
`void` `clear()`
`protected void` `doCommonConstructorStuff()`
`void` `loadMultiPanelFromSpecifiedFiles(java.lang.String[] filenames)`
`static void` `main(java.lang.String[] arg)` The method to invoke the application.
`protected SingleImagePanel` `makeNewImagePanel(SourceImage sImg, EventContext typeOfPanelEventContext)`
`void` `setDoNotFlipOrRotate(boolean doNotFlipOrRotate)` Suppress the normal flipping or rotation of images into the preferred orientation based on view and laterality.
`void` `setDoNotJustify(boolean doNotJustify)` Suppress the justification to the chest wall and axilla.
`void` `setForceFitEntireMatrixToWindow(boolean forceFitEntireMatrixToWindow)` Suppress the examination of breast extent and same sizing of images with different pixel spacing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### frame

    protected javax.swing.JFrame frame

#### multiPanel

    protected javax.swing.JPanel multiPanel

#### frameWidth

    protected int frameWidth

#### frameHeight

    protected int frameHeight

#### doNotFlipOrRotate

    protected boolean doNotFlipOrRotate

#### forceFitEntireMatrixToWindow

    protected boolean forceFitEntireMatrixToWindow

#### doNotJustify

    protected boolean doNotJustify

### Constructor Detail

#### MammoImageViewer

    public MammoImageViewer(javax.swing.JFrame frame)
                     throws java.lang.Exception

Parameters:
  `frame` -
Throws:
  `java.lang.Exception` - if internal error

#### MammoImageViewer

    public MammoImageViewer(javax.swing.JFrame frame,
                    java.lang.String[] filenames)
                     throws java.lang.Exception

Parameters:
  `frame` -
  `filenames` -
Throws:
  `java.lang.Exception` - if internal error

#### MammoImageViewer

    public MammoImageViewer(java.lang.String[] filenames)
                     throws java.lang.Exception

Parameters:
  `filenames` -
Throws:
  `java.lang.Exception` - if internal error

### Method Detail

#### setDoNotFlipOrRotate

    public void setDoNotFlipOrRotate(boolean doNotFlipOrRotate)

Suppress the normal flipping or rotation of images into the preferred orientation based on view and laterality.

Parameters:
  `doNotFlipOrRotate` - if true, supresses

#### setForceFitEntireMatrixToWindow

    public void setForceFitEntireMatrixToWindow(boolean forceFitEntireMatrixToWindow)

Suppress the examination of breast extent and same sizing of images with different pixel spacing.

Parameters:
  `forceFitEntireMatrixToWindow` - if true, supresses

#### setDoNotJustify

    public void setDoNotJustify(boolean doNotJustify)

Suppress the justification to the chest wall and axilla.

Parameters:
  `doNotJustify` - if true, supresses

#### makeNewImagePanel

    protected SingleImagePanel makeNewImagePanel(SourceImage sImg,
                                     EventContext typeOfPanelEventContext)

#### loadMultiPanelFromSpecifiedFiles

    public void loadMultiPanelFromSpecifiedFiles(java.lang.String[] filenames)
                                          throws java.lang.Exception

Parameters:
  `filenames` -
Throws:
  `java.lang.Exception` - if internal error

#### doCommonConstructorStuff

    protected void doCommonConstructorStuff()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception` - if internal error

#### clear

    public void clear()

#### main

    public static void main(java.lang.String[] arg)

The method to invoke the application.

Parameters:
  `arg` - a list of DICOM files which may contain mammography images or mammography CAD SR objects